function sqf(){}
function rsf(){}
function Drf(a){this.a=a}
function Prf(a){this.a=a}
function Mrf(a,b){qqf(a.a,b)}
function Lrf(a,b){qqf(a.c,b)}
function qqf(a,b){Pef(a.a,b)}
function Nrf(){BZd.call(this)}
function Krf(a){Ref(a.a.a);Ref(a.c.a)}
function Asf(a){var b;if(!a.g){b=new Nrf;a.g=b}return a.g}
function xrf(a){var b;Krf(a.A);b=YAh(a.a,Lef(),lM(h1c,pxj,1,[]));U7i(K7i(b,kGj),f_j);a8i(K7i(b,g_j),true);Jnj(new _mj(b),new Drf(a))}
function yrf(a,b,d,e,g){g9d.call(this,a,b,d,e);this.c=g;this.a=(new i0i(QXb,(hBh(),cBh).Nc(QXb),gBh.Nc(QXb))).a;this.b=new x0i(QXb)}
function qsf(a){var b;b=lM(D1c,ixj,196,[new Nff(XXj,'Application Failures'),new Nff(ZXj,'Resource Failures')]);oYd();a.a=Yef(new Zef('Failure Origin',C_j),b);return Qef(a.a)}
function zsf(a){var b;if(!a.f){b=new yrf(tFd(kce(a.a)),Asf(a),ysf(a),(Ynj(Sde(a.a)),_oj(Ude(a.a))),(j1i(Qde(a.a)),lMg(ede(a.a))));FFd((lce(a.a),b),CGd(lce(a.a)));a.f=b}return a.f}
function rqf(a){var b,d;d=new Nff(FXj,'Number of Transactions');b=lM(D1c,ixj,196,[(d.c=true,d),zff(new Nff(HXj,'Commited'),d),zff(new Nff(JXj,'Aborted'),d),zff(new Nff(DXj,'Timed Out'),d)]);oYd();a.a=Yef(new Zef('Success Ratio',C_j),b);return Qef(a.a)}
function Crf(a,b){var d,e;e=Dnj(b);if(e.b.lN(HGj)&&K7i(e,HGj).b.b!=(emj(),dmj)&&!tPd(K7i(e,HGj).b.$e(),IGj)){cd('Failed to load TX metrics: '+M7i(e))}else{d=n0i(a.a.b,K7i(e,tGj));Mrf(a.a.A,new Hef(lM(l0c,hxj,-1,[d.QF(),d.KF(),d.IF(),d.PF()])));Lrf(a.a.A,new Hef(lM(l0c,hxj,-1,[d.JF(),d.OF()])))}}
q3c(2700,1,{},sqf);_.a=null;q3c(2722,1406,pyj,yrf);_.Ti=function(){this.A.b=this;f9d(this,ezh(Pde((oYd(),mYd).a)))};_.Yi=function(){xrf(this)};_.aj=function(){tvf(this.c,this)};q3c(2724,1660,{},Drf);_.eh=function(a){Crf(this,a)};q3c(2727,1213,Yyj,Nrf);_.Ch=function(){var a,b;b=new qnd(H_j);zz((Xfd(),b.gb),I_j);b.gb.style[dCj]=(IC(),mCj);b.gb.style[iCj]=-80+(ED(),RAj);b.gb.style[J_j]=K_j;aB(b.gb.style,yB());b.gb.style[hCj]=L_j;xr(b,(oYd(),'refreshBtnTXMetricViewImp'));b.uh(new Prf(this));this.a=new sqf;this.c=new rsf;a=qCe(qCe(qCe(tCe(uCe(xCe(new zCe,J4j),N4j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),Ozj,b),'Executions',rqf(this.a)),'Rollbacks',qsf(this.c));return rCe(a)};q3c(2728,1,Cxj,Prf);_.ie=function(a){xrf(this.a.b)};q3c(2735,1,{},rsf);_.a=null;q3c(2740,1,Xyj);_.qd=function(){bHd(this.b,zsf(this.a.a))};var qvb=XNd(2722),nvb=XNd(2724),svb=XNd(2727),rvb=XNd(2728),Sub=XNd(2700),Bvb=XNd(2735);Jzj(hp)(75);